html
{
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
    font-family: arial, sans-serif;
    font-size: 1.5rem;
}
body{
    margin: 0;
    padding: 0;
    background: var(--color_blue_bg);
    height: 100%;
}
@media screen and (min-width: 480px)
{
    htmls
    {
        width: 400px;
        height: 600px;
    }
}

#main
{
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 0.1fr 1fr 0.1fr;
    height: 100%;
}
    #main > div:nth-child(2)
    {
        height: 100%;
        overflow-y: auto;
        padding-top: 5px;
        padding-bottom: 5px;
    }

.logo,
.footer
{
    background-color: var(--color_blue);
    color: white;
    text-align: center;
}
.logo
{
    box-shadow: 3px 3px 3px black;
    z-index: 1;
    border-bottom-left-radius: calc(3 * var(--margin));
    border-bottom-right-radius: calc(4 * var(--margin));
}
.footer
{
    display: grid;
    grid-template-columns: 1fr 0.5fr 1fr;
}
    .footer > div:nth-child(1)
    {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 1fr 1fr;
    }
        .footer > div:nth-child(1) > div
        {
            background-size: 20px;
            background-position: 2px;
            display: flex;
            align-items: center;
            justify-content: flex-end;
            font-weight: bold;
        }

    .footer > div:nth-child(3)
    {
        box-sizing: border-box;
        padding-right: 5px;
        display: flex;
        justify-content: flex-end;
        align-items: center;
        font-size: 0.9rem;
        font-weight: bold;
        background-position: left
    }
.fade_in
{
    animation-iteration-count: 1;
    animation-name: fade_in_anim;
    animation-duration: 500ms;
    animation-fill-mode: forwards;
    transition: ease-in-out;
}

@keyframes fade_in_anim {
    0% {
        opacity: 1;
    }
    100% {
        visibility: hidden;
        opacity: 0;
    }
}
@keyframes rotate_anim {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(180deg);
    }
}

.hidden
{
    display: none !important;
}
.disabled
{
    background-color: var(--color_black) !important;
    color: white;
}

#backdrop
{
    display: block;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.9);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1500;
}
